code
stringlengths
2
1.05M
repo_name
stringlengths
5
110
path
stringlengths
3
922
language
stringclasses
1 value
license
stringclasses
15 values
size
int64
2
1.05M
#!/bin/bash -ev # # Installation Script # Written by: Tommy Lincoln <pajamapants3000@gmail.com> # Github: https://github.com/pajamapants3000 # Legal: See LICENSE in parent directory # # source ${HOME}/.blfs_profile # # Dependencies #************** # Begin Required #Xorg Applications # End Required # Begin Recommended #...
pajamapants3000/BLFS_scripts_etc
scripts/xterm-320.sh
Shell
mit
1,528
#!/bin/sh ############################################################################### ## Environment Valiable ############################################################################### ############################################################################### ## Gulp Environment ######################...
hiromaily/go-gin-wrapper
web/frontend_workspace/react/setup.sh
Shell
mit
2,907
#!/bin/bash PATH_TO_FILE='/root/shine/input.config' SOURCE_FILE='mb-listener.c' EXE_FILE='mb-listener.elf' if [ -e $PATH_TO_FILE ] then #Remote data remoteHost=$(awk '/^mqtt.remote.host/{print $NF}' $PATH_TO_FILE) clientId=$(awk '/^generic.node-id/{print $NF}' $PATH_TO_FILE) ledSubTopic=$(awk '/^mqtt.remote.ledSu...
bitandbytes/MedBox-2.0-progamme
mb-listener.sh
Shell
mit
1,380
# Use aptitude or apt if installed, fallback is apt-get # You can just set apt_pref='apt-get' to override it. if [[ -z $apt_pref || -z $apt_upgr ]]; then if [[ -e $commands[aptitude] ]]; then apt_pref='aptitude' apt_upgr='safe-upgrade' elif [[ -e $commands[apt] ]]; then apt_pref='apt' ...
stansage/oh-my-zsh
plugins/debian/debian.plugin.zsh
Shell
mit
7,085
filetext=$(cat file.txt) read -a fields <<< $filetext #echo "fields: " $fields colcount=`awk 'NR==1{print NF;}' file.txt` #echo "colcount: " $colcount rowcount=`awk 'BEGIN{r=0}{r=r+1;}END{print r}' file.txt` #echo "rowcount: " $rowcount rowlast_idx=$(($rowcount-1)) #echo $rowlast_idx for (( i = 0; i < $colcount; i++ ))...
wonghoifung/tips
leetcode/medium_transpose_file.sh
Shell
mit
526
#!/bin/bash PROJECT_HOME=$1 SCRIPTS_DIR=$PROJECT_HOME/scripts/jobs/node . $SCRIPTS_DIR/variables.sh . $SCRIPTS_DIR/functions.sh log "starting aggregator machine" function export_vars { export LD_LIBRARY_PATH=$VIRTUALENV_DIR/additional/lib export PKG_CONFIG_PATH=$VIRTUALENV_DIR/additional/lib/pkgconfig export GRA...
anvart/stormwatch
scripts/jobs/node/start-aggregator.sh
Shell
mit
658
#!/usr/bin/env bash if [[ $# -ne 1 ]];then echo "Please specify apinate version" exit 1 fi if [[ "x`which fpm`x" == "xx" ]];then echo "Please install fpm." exit 2 fi gom install gom build -o $GOPATH/bin/apinate build_dir=/tmp/fpm/apinate [[ -d ${build_dir} ]] && rm -rf ${build_dir} mkdir -p ${buil...
PhilipHarries/apinate
build.sh
Shell
mit
921
# how to git: # ---------- # from ~/robertubuntu/testing/test-plans-and-scripts/ cd ~/robertubuntu/testing/test-plans-and-scripts/ git add . git commit -m "script updates" git push origin master # how to retrieve from git #------------------------ git pull # when compiling gives "FactomCode/anchorutil/anchorutil.go:...
FactomProject/Testing
testscripts/how-to-git.sh
Shell
mit
563
emcc -s USE_SDL=2 -s USE_SDL_IMAGE=2 -s USE_SDL_TTF=2 ../OSAL/src/c/gpu.c ../OSAL/src/c/graphics.c ../OSAL/src/c/input.c ../OSAL/src/c/system.c ../OSAL/src/c/util.c ../OTG/src/c/OTG.c src/c/main.c
oddthread/OTE
script/build/make_em.bash
Shell
mit
196
#!/bin/bash # Copyright (c) 2016-2017 Advanced Micro Devices, Inc. All rights reserved. # # Permission is hereby granted, free of charge, to any person obtaining a copy # of this software and associated documentation files (the "Software"), to deal # in the Software without restriction, including without limitation the...
GPUOpen-ProfessionalCompute-Tools/clARMOR
prereqs/linux_install_scripts/setup_ubuntu_14.04.5_amd_catalyst_1.sh
Shell
mit
8,393
rm $1/version_control.txt git log --pretty=format:"%h - %s" > $1/version_control.txt
mooman219/CSCI251
log.sh
Shell
mit
85
#!/bin/bash amixer set Master 5%- VOLUME=$(awk -F"[][]" '{ print $2 }' <(amixer sget Master) | tail -1) volnoti-show $VOLUME &
Spotlight0xff/scripts
volume_lower_alsa.sh
Shell
mit
127
#!/usr/bin/env bash # Downloads the latest model file rm CloudFormationResourceSpecification.json wget https://d1uauaxba7bl26.cloudfront.net/latest/CloudFormationResourceSpecification.json
frontrowed/stratosphere
gen/model/update-model-file.sh
Shell
mit
191
config() { NEW="$1" OLD="$(dirname $NEW)/$(basename $NEW .new)" # If there's no config file by that name, mv it over: if [ ! -r $OLD ]; then mv $NEW $OLD elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy rm $NEW fi # Otherwise, we leave the .new copy for ...
panosmdma/SlackOnly-SlackBuilds
network/openntpd/doinst.sh
Shell
mit
642
#!/bin/bash # Install Gem Dependencies bundle # Install Project Dependencies bundle exec pod install carthage bootstrap --platform iOS
rbaumbach/BoxSimpleOAuth
setup.sh
Shell
mit
137
# === {{CMD}} "perl regex pattern" first-line-after () { local +x PATTERN="$1"; shift while read -r LINE ; do if ! echo "$LINE" | grep -P "^${PATTERN}$" >/dev/null; then continue fi while read -r ORIGINAL_LINE; do local +x CLEAN="$(echo -n $ORIGINAL_LINE)" if [[ -z "$CLEAN" ]]; then...
da99/mksh_setup
bin/public/first-line-after/_.sh
Shell
mit
436
#!/bin/bash # Check if the AWS CLI is in the PATH found=$(which aws) if [ -z "$found" ]; then echo "Please install the AWS CLI under your PATH: http://aws.amazon.com/cli/" exit 1 fi export AWS_DEFAULT_PROFILE=personal # Updating Lambda functions echo "Sync lambda content" cd lambda for f in $(ls -1); do echo "...
stevewoolley/riot
deploy_lambdas.sh
Shell
mit
526
#!/bin/ksh rm diff.out touch diff.out for i in *.[ch]; do diff -u -I'\$OpenBSD' $i ../../OpenBSD/tmux/$i >diff.tmp set -- `wc -l diff.tmp` [ $1 -eq 8 ] && continue echo $i cat diff.tmp >>diff.out done
klaxalk/tmux
tools/cmp-cvs.sh
Shell
mit
223
#! /bin/bash # write-card.sh # (c) Copyright 2013-2016 Andreas Müller <schnitzeltony@googlemail.com> # Licensed under terms of GPLv2 # # This script writes image to sdcard and aligns rootfs partition to max size. SelectRootfs() { # OE environment found? if [ -z $BUILDDIR ]; then echo "The environment variable BUI...
schnitzeltony/meta-variscite-community
scripts-and-docs/card-write.sh
Shell
mit
2,769
#!/bin/sh rm -f *.csv* *.json* java -Xmx5G -jar target/ncd-remote-1.0-SNAPSHOT.jar "$@"
Orange-OpenSource/documentare-simdoc
simdoc/apps/ncd-remote/go.sh
Shell
gpl-2.0
89
#!/usr/bin/env sh ../../../app/console translation:extract en -v \ --dir=. \ --exclude-dir=vendor --exclude-dir=Tests --exclude-dir=Features --exclude-dir=node_modules --exclude-dir=Resources/public/vendors \ --output-dir=./Resources/translations \ --keep "$@"
intenseprogramming/PlatformUIBundle
bin/updatestrings.sh
Shell
gpl-2.0
271
#!/bin/sh # # Copyright (C) 2009-2011 OpenWrt.org # AR71XX_BOARD_NAME= AR71XX_MODEL= ar71xx_get_mtd_offset_size_format() { local mtd="$1" local offset="$2" local size="$3" local format="$4" local dev dev=$(find_mtd_part $mtd) [ -z "$dev" ] && return dd if=$dev bs=1 skip=$offset count=$size 2>/dev/null | hex...
datong/tl-wr720n
target/linux/ar71xx/base-files/lib/ar71xx.sh
Shell
gpl-2.0
7,274
#!/usr/bin/env bash source ./venv/bin/activate if [ "$#" -ne 4 ]; then echo "Invalid number of parameters.." else python run.py --countries $1 --people $2 --votes $3 --time_out_seconds $4 fi
opendatakosovo/parldata-scraper
run.sh
Shell
gpl-2.0
200
#!/bin/bash # md5 checksum of all sub directorys, place in ./_md5Sum.md5 find "$PWD" -type d | sort | while read dir; do md5sum "${dir}"/* >> ./_md5Sum.md5 ; done
chang-jf/dotfiles
bash/bin/md5_of_sub_dirs.sh
Shell
gpl-2.0
164
# mkrescue-workflow.sh # # mkrescue workflow for Relax-and-Recover # # Relax-and-Recover is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; either version 2 of the License, or # (at your option) any l...
thumm/rear_deb
usr/share/rear/lib/mkrescue-workflow.sh
Shell
gpl-2.0
1,205
#!/bin/bash -x # # Generated - do not edit! # # Macros TOP=`pwd` CND_PLATFORM=Cygwin-Windows CND_CONF=Debug CND_DISTDIR=dist CND_BUILDDIR=build NBTMPDIR=${CND_BUILDDIR}/${CND_CONF}/${CND_PLATFORM}/tmp-packaging TMPDIRNAME=tmp-packaging OUTPUT_PATH=${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/assignment_3 OUTPUT_BASENAM...
angrymasteryoda/42448
assignment 3/nbproject/Package-Debug.bash
Shell
gpl-2.0
1,462
#! /bin/sh -e # tup - A file-based build system # # Copyright (C) 2015-2018 Mike Shal <marfey@gmail.com> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License version 2 as # published by the Free Software Foundation. # # This program is distribu...
jonatanolofsson/tup
test/t4178-environ7.sh
Shell
gpl-2.0
1,150
#!/bin/bash # ## usage: make_trend_plot.sh LONG_TERM_DRIFT_FILE REDUCE.PY_OUTPUT_FILE # compute long-term drift rate cg3e_cmd.py $1 longterm "RD G S" drift=`llsq.py longterm 1 2` echo "Drift rate: ${drift}" # Get start date, time, and gravity cg3e_cmd.py $1 longterm "TS G S" start_date=`tail -1 longterm | awk '{print...
inkenbrandt/Earth_Tides
Micrograv/util/make_trend_plot.sh
Shell
gpl-2.0
1,670
#!/bin/sh OUTFILE=$1 PARTNUM=2 case "$(basename $OUTFILE)" in sd* ) INFIX="";; hd* ) INFIX="";; nvm* ) INFIX="p";; mmc* ) INFIX="p";; loop* ) INFIX="p";; * ) echo "Unknown target device type. Exiting..." exit;; esac echo "INFIX: $INFIX" FORMAT="n" read -p "Do you want to write $INFILE to $OUTFILE? THIS W...
trustm3/trustme_build
yocto/install_trustme.sh
Shell
gpl-2.0
1,892
#!/bin/bash # Copyright 2014 QCRI (author: Ahmed Ali) # Apache 2.0 if [ $# -ne 1 ]; then echo "Arguments should be the <gale folder>"; exit 1 fi #data will data/local galeData=$(utils/make_absolute.sh $1) mkdir -p data/local dir=$(utils/make_absolute.sh data/local) grep -f local/test_list $galeData/all | gre...
michellemorales/OpenMM
kaldi/egs/gale_arabic/s5b/local/gale_data_prep_split.sh
Shell
gpl-2.0
1,091
#!/bin/bash # # Copyright (c) 2011, Intel Corporation. # # SPDX-License-Identifier: GPL-2.0-or-later # # DESCRIPTION # Given 'buildstats' data (generate by bitbake when setting # USER_CLASSES ?= "buildstats" on local.conf), task names and a stats values # (these are the ones preset on the buildstats files), outputs # '...
schleichdi2/OPENNFR-6.3-CORE
opennfr-openembedded-core/scripts/contrib/bb-perf/buildstats.sh
Shell
gpl-2.0
3,832
# This script is provided as a placeholder for a real cleanup script. # It is called by the Proxy between matches, and should clean up all # of the temporary files that the gamer might leave around, but that # don't need to be preserved between matches. # # If you are not using the Proxy, or your player does not g...
dreilly369/ggp_arena
ggp-base/cleanup.sh
Shell
gpl-2.0
550
#!/bin/sh . ../../../prepare.inc.sh . ../../../toolbox.inc.sh # ---- do the actual testing ---- result=PASS echo "++++ BEGINNING TEST" >$OUTPUTFILE # create a keyring and attach it to the session keyring marker "ADD KEYRING" create_keyring wibble @s expect_keyid keyringid # validate the new keyring's name and typ...
rlbossman/ebury
tests/keyctl/clear/valid/runtest.sh
Shell
gpl-2.0
1,990
#! /bin/bash g++ -c "./sync.cpp" -std=gnu++0x -g -O0 -Wall -o ./Build/sync.o -I. -I. -I/usr/local/include -I/usr/include/mysql -I/usr/include g++ -o ./Build/sync ./Build/sync.o -L. -L/usr/local/lib -L/usr/lib/mysql -L/usr/lib -lmysqlclient -lconfig
aslubsky/cpp-simple-scada
build-sync.sh
Shell
gpl-2.0
252
#!/bin/sh TUNTAP=$(basename $DEV) UNDO_FILE=/usr/var/run/chilli.$TUNTAP.sh . /usr/etc/chilli/functions [ -e "$UNDO_FILE" ] && sh $UNDO_FILE 2>/dev/null rm -f $UNDO_FILE 2>/dev/null ipt() { opt=$1; shift echo "iptables -D $*" >> $UNDO_FILE iptables $opt $* } ipt_in() { ipt -I INPUT -i $TUNTAP $* } ...
Distrotech/coova-chilli
conf/up.sh
Shell
gpl-2.0
2,772
#!/bin/sh chown -R nginx:nginx /srv/static nginx -g "daemon off;"
GovTracker/GovTracker-proxy
run.sh
Shell
gpl-2.0
66
#!/usr/bin/bash # # generates a grid with given dimensons full of images # # params if [ $# != 3 ]; then echo "Usage: $(basename $0) <number of cols> <number of rows> <path to images>" exit 1 fi X=$1 Y=$2 imgPath=${3%/} # remove trailing slashes if ! [ -d $imgPath ]; then echo "Path to images doesn't exist!" ...
asterics/KeyboardX
Keyboards/bin/generate.sh
Shell
gpl-2.0
1,555
#!/bin/bash # Copyright 2015-2017 Holger Levsen <holger@layer-acht.org> # released under the GPLv=2 # define Debian build nodes in use for tests.reproducible-builds.org/debian/ # FIXME: this is used differently in two places, # - bin/reproducible_html_nodes_info.sh # where it *must* only contain the Debian nodes...
anthraxx/jenkins.debian.net
bin/jenkins_node_definitions.sh
Shell
gpl-2.0
3,974
#! /bin/bash # # script for facter to determine which nvidia kmod # driver to install # # Author: Bonnie King <bonniek@fnal.gov> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; either versio...
misterbonnie/nvidia-facter
nvidia-driver.sh
Shell
gpl-2.0
949
#!/bin/bash rpmbuild -ba ~/rpmbuild/SPECS/git.spec cp -r ~/rpmbuild/SRPMS /rpms cp -r ~/rpmbuild/RPMS /rpms
mmornati/docker-gitrpm-centos7
build-rpm.sh
Shell
gpl-2.0
110
#!/bin/bash # conections_tr10_tool.sh # # Función que permite definir las conexiones para la comunicación con los protocolos ADB y FASTBOOT # #~ - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - # A TINY TR10 CLI TOOL FOR GNU/LINUX BASH VERSION 1.0.0 # # Developer : Erick Carvajal Rodrigue...
WuilmerBolivar/TR10-TOOL
FUNCTIONS/7-conections_tr10_tool.sh
Shell
gpl-2.0
903
#!/bin/bash # # All content copyright Terracotta, Inc., unless otherwise indicated. All rights reserved. # case "$1" in ""|"--help"|"-h"|"-?") echo "Syntax: $0 [cachePrint|cacheSize|cacheClear|cacheSelectiveClear|cacheInspect|tcPing] [arguments.....]" echo "cachePrint - Prints cache elements for a given cac...
lanimall/terracotta-cache-utils
scripts/ehcachecli.sh
Shell
gpl-2.0
3,989
#!/bin/bash # # automatically generated by # # './configure --disable-hardening' # # It will be completely overwritten if configure is executed again. # Make sure you source this file once before you start to build VBox. # BUILD_PLATFORM="linux" export BUILD_PLATFORM BUILD_PLATFORM_ARCH="amd64" export BUILD_PLATFORM...
bayasist/vbox
env.sh
Shell
gpl-2.0
999
check_pkgconfig::init() { PKGCONFIG_NAME=$1 # If we're using pkg-config to check, we need to install pkg-config # first. dependencies native:pkg-config } # Function that returns true if the package is installed. check_installed() { if ! have_tool pkg-config; then error_exit "pkg-config no...
jeff-1amstudios/restful-doom
chocpkg/chocpkg/modules/check_pkgconfig.sh
Shell
gpl-2.0
459
#!/bin/bash # In The Name of God # ======================================== # [] File Name : zig.sh # # [] Creation Date : 06-08-2021 # # [] Created By : Parham Alvani <parham.alvani@gmail.com> # ======================================= usage() { echo -n -e "Zig is a general-purpose programming language and toolchain ...
1995parham/dotfiles
scripts/zig.sh
Shell
gpl-2.0
661
#!/bin/bash if [ -f /config/config.ini ]; then echo "Using existing config file." else echo "Copying default config to export interface to /config." cp /root/config.ini /config/ chown nobody:users /config/config.ini fi exec /sbin/setuser nobody python /opt/headphones/Headphones.py --datadir=/config --nolaunch...
mikeodr/headphones-docker
init/headphones.sh
Shell
gpl-2.0
321
CFLAGS="${CFLAGS:-} -ffunction-sections -fdata-sections" LDFLAGS="${LDFLAGS:-} -Wl,--gc-sections" ### CORKSCREW ### _build_corkscrew() { local VERSION="2.0" local FOLDER="corkscrew-${VERSION}" local FILE="${FOLDER}.tar.gz" local URL="http://agroman.net/corkscrew/${FILE}" _download_tgz "${FILE}" "${URL}" "${FOLDER}" p...
droboports/corkscrew
app.sh
Shell
gpl-2.0
478
#!/usr/bin/env bash - ## Print a header SCRIPT_NAME="search_exact" LINE=$(printf -- "-%.0s" {1..76}) printf "# %s %s\n" "${LINE:${#SCRIPT_NAME}}" "${SCRIPT_NAME}" ## Declare a color code for test results RED="\033[1;31m" GREEN="\033[1;32m" NO_COLOR="\033[0m" failure () { printf "${RED}FAIL${NO_COLOR}: ${1}\n" ...
frederic-mahe/vsearch-tests
scripts/search_exact.sh
Shell
gpl-3.0
62,990
# zlibtclConfig.sh -- # # This shell script (for sh) is generated automatically by zlibtcl's # configure script. It will create shell variables for most of # the configuration options discovered by the configure script. # This script is intended to be included by the configure scripts # for zlibtcl extensions so that ...
donomii/svarmr
tcltk/lib/zlibtclConfig.sh
Shell
gpl-3.0
2,366
#!/usr/bin/env bash set -eux export ANSIBLE_ROLES_PATH=./roles function gen_task_files() { for i in $(seq -f '%03g' 1 39); do echo -e "- name: Hello Message\n debug:\n msg: Task file ${i}" > "tasks/hello/tasks-file-${i}.yml" done } ## Adhoc ansible -m include_role -a name=role1 localhost ## Im...
2ndQuadrant/ansible
test/integration/targets/include_import/runme.sh
Shell
gpl-3.0
5,591
#!/bin/sh # Part of passwordless cryptofs setup in Debian Etch. # See: http://wejn.org/how-to-make-passwordless-cryptsetup.html # Author: Wejn <wejn at box dot cz> if [ "x$1" = "x" -o "x$1" = "xnone" ]; then KEYF=dd.key else KEYF=$1 fi MD=/tmp-usb-mount echo "Trying to get the key from USB keychain ..." >&2 mkdir -...
whoo/DebianUtils
UsbcryptoKey/crypto-usb-key.sh
Shell
gpl-3.0
819
#!/bin/bash #SBATCH --job-name=pl.lamb.10.prod.1 #SBATCH --output=pl.lamb.10.prod.1.err #SBATCH --time=48:00:00 #SBATCH --nodes=1 #SBATCH --exclusive #SBATCH --mail-type=END # Type of email notification- Available Options (BEGIN,END,FAIL,ALL) #SBATCH --mail-user=dupontke@colostate.edu # Email to which notifications wi...
dupontke/Thermodynamic_Integration
lambda/lambda.10/production.1/submit_pl.lamb.10.prod.1.sh
Shell
gpl-3.0
997
#!/bin/bash source /usr/share/InnoRoute/tn_env.sh echo "Setting internal Ethernet switch common config, expecting none or 1 parameter" if [[ $# != 1 ]]; then # Set all leds to high, if no parameter is given echo "HW switch 0:" TNbar1 $(($C_BASE_ADDR_ETH_SW_0*$C_BASE_ADDR_FACTOR+$C_SUB_ADDR_ETH_SW_COMMON)) w ...
InnoRoute/packages
TN_tools/files/TN_ETHswitch_ctl.sh
Shell
gpl-3.0
633
#!/bin/bash set -e pegasus_lite_version_major="4" pegasus_lite_version_minor="7" pegasus_lite_version_patch="0" pegasus_lite_enforce_strict_wp_check="true" pegasus_lite_version_allow_wp_auto_download="true" . pegasus-lite-common.sh pegasus_lite_init # cleanup in case of failures trap pegasus_lite_signal_int INT trap...
elainenaomi/sciwonc-dataflow-examples
dissertation2017/Experiment 1A/instances/10_1_workflow_full_10files_secondary_w1_3sh_3rs_with_annot_with_proj_3s_range/dags/ubuntu/pegasus/example_workflow/20161108T192637+0000/00/00/averageratioevent_0_ID0000024.sh
Shell
gpl-3.0
1,261
#!/bin/bash natoms=0 nelec=0 if [ $(grep -o "Z-matrix" t1opt.out) ] ; then cp /data/mewes/CALC/TADF/MOM_OPT/utleopt*in MOM_OPT sed "s/^0 1$/0 3/" t1opt.mol > MOM_OPT/utLEincoords.mol cd MOM_OPT for i in utleopt*in ; do subqchem_old $i done cd - else echo "t1opt not converged." fi
drmewes/qchem_tools
make_utleopt.sh
Shell
gpl-3.0
293
#!/bin/bash cd /tmp git clone https://github.com/albedozero/fluidpatcher mv ./fluidpatcher/SquishBox/sf2/*sf2 $ZYNTHIAN_DATA_DIR/soundfonts/sf2 rm -rf fluidpatcher wget https://geekfunklabs.com/download/squishbox-soundfonts/?wpdmdl=646 -O squishbox_soundfonts.zip unzip squishbox_soundfonts.zip rm -f squishbox_soundf...
zynthian/zynthian-sys
scripts/recipes/install_squishbox_sf2.sh
Shell
gpl-3.0
455
#!/bin/bash ~/SonoGestures/MotionGraph dpa/cropped.mp4 > dpa/dpa.txt ~/SonoGestures/MotionGraph lpa/cropped.mp4 > lpa/lpa.txt ~/SonoGestures/MotionGraph tda/cropped.mp4 > tda/tda.txt ~/SonoGestures/MotionGraph tpa/cropped.mp4 > tpa/tpa.txt ~/SonoGestures/MotionGraph tpp/cropped.mp4 > tpp/tpp.txt
JessMcintosh/SonoGestures
scripts/motionscript.sh
Shell
gpl-3.0
299
#!/bin/bash MYPWD="$(pwd)" rm -rf ssh-keys { cd "${MYPWD}/gateway"; ./clean.sh; } { cd "${MYPWD}/local-server"; ./clean.sh; }
derschueddi/personal-server
clean.sh
Shell
gpl-3.0
128
#!/usr/bin/env bash APPNAME=$(basename $0 | sed "s/\.sh$//") # ----------------------------------------------------------------------------- # Log functions # ----------------------------------------------------------------------------- fn_log_info() { echo "$APPNAME: $1"; } fn_log_warn() { echo "$APPNAME: [WARNIN...
okubax/dotfiles
bin/rsync_tmbackup.sh
Shell
gpl-3.0
13,839
#!/bin/sh cd $TRANSMART_DATA . ./vars make -C samples/postgres load_clinical_RanchoGSE1456 make -C samples/postgres load_ref_annotation_RanchoGSE1456 make -C samples/postgres load_expression_RanchoGSE1456
tranSMART-Foundation/Scripts
data-loading/load_RanchoGSE1456.sh
Shell
gpl-3.0
208
git-backup() { local NAME=$1 if [ "$NAME" == "-h" -o "$NAME" == "--help" ]; then echo "Usage: git-backup [output-name]" return 1 elif [ -z "$NAME" ]; then NAME=$(basename $(pwd)) fi if [ ! -d .git ]; then echo "Not in Git work directory in '$(pwd)'!" return 1 fi DATE=$(git log -1 --pretty=format:%ci ...
yanlinlin82/bashrc.d
git-backup.sh
Shell
gpl-3.0
583
#!/bin/bash cd $(dirname $0) for i in libs/*; do if [[ -d $i && -e $i/androidvncserver ]];then echo Moving $i/androidvncserver to $i/libandroidvncserver.so; mv $i/androidvncserver $i/libandroidvncserver.so; fi if [[ -d $i && -e $i/screenshot ]];then # statically change name screenshot to libscreensho...
forkjoseph/test-daemon-droid-vnc-server
updateExecsAndLibs.sh
Shell
gpl-3.0
511
#!/bin/sh # prept.sh # Script to be used for zsbc compilation # Takes one argument (the source .txt file) and creates a .c file, ready to be # compiled and used as a data source inside zsbc. # The target file defines an array of strings, the last element being NULL # to mark the end. VAR=$1 S=$2 T=$3 if [ -z "$T"...
sebmillet/zsbc
src/prept.sh
Shell
gpl-3.0
911
rm -rf /home/$USER/.ssh/known_hosts expect prueba2.exp
wladimirlinux/expect
ssh.sh
Shell
gpl-3.0
56
# Path to your oh-my-zsh installation. export ZSH=$HOME/.oh-my-zsh # Set name of the theme to load. # Look in ~/.oh-my-zsh/themes/ # Optionally, if you set this to "random", it'll load a random theme each # time that oh-my-zsh is loaded. ZSH_THEME="crunch_hostname" # Which plugins would you like to load? (plugins can...
ice3/shellrc
zshrc.d/oh_my_zsh.zsh
Shell
gpl-3.0
897
#!/bin/bash GREEN='\033[0;32m' NC='\033[0m' # No Color echo -e "${GREEN}$1${NC}"
fullstack-zmrdi/bounty-land-app
scripts/info.sh
Shell
gpl-3.0
81
#!/bin/bash set -e BASEDIR=$PWD echo "" echo "building ffplayer jni library using ndk..." echo "" export PATH=$PATH:$NDK_HOME ndk-build cp -r $BASEDIR/../libs/* $BASEDIR/../apk/app/src/main/jniLibs/ rm -rf $BASEDIR/../libs/ $BASEDIR/../obj/ echo "" echo "build ffplayer jni library done !" echo ""
rockcarry/ffplayer
player-android/jni/build.sh
Shell
gpl-3.0
304
#KALMAN FILTER CONFIGURATION DOMAINCONF=CORDOBA_2KBIS #Define a domain LETKFNAMELIST=control #Define a letkf namelist template MEMBER=60 #Number of ensemble members. MAX_DOM=1 #Maximum number of WRF domains. HOMEDIR=${HOME}/share/ DATADIR=/data10/jruiz/ ANALYSIS=1 ...
gustfrontar/LETKF_WRF
wrf/run/configuration/analysis_conf/exprtps09_loc8_60m_radar_grib_Hakushu.sh
Shell
gpl-3.0
9,369
#!/bin/bash (set -o igncr) 2>/dev/null && set -o igncr; # For Cygwin on Windows compaibility if [[ "$OSTYPE" == "linux-gnu" ]]; then gcc -Wall -c src/InstallUpdateProcess/installUpdateNotificationLinux.c `pkg-config --cflags gtk+-2.0` \ `pkg-config --libs gtk+-2.0` gcc -o dist/installUpdateNotificationLin...
chgibb/PHAT
scripts/build/buildInstallUpdateNotificationLinux.bash
Shell
gpl-3.0
465
#!/bin/bash # Bash needed to preserve formatting. M.Tyler 2017-10-2 printf "\n\e[41m\e[97m%-25s RESULTS %-25s\e[0m\n\n"
matyler/mtCellEdit
test/results.sh
Shell
gpl-3.0
124
#!/usr/bin/sh echo==sh handler== filename=${0###*/} filename=$(basename "$filename") # remove windows path # remove trailing .sh func=$(echo $filename | sed -e "s/.sh//") source /home/$USERNAME/lib.sh && $func $@
cibinmathew/AHK
bash/bin/shell_handler.sh
Shell
gpl-3.0
214
#!/bin/bash # # Check if Power Managment on given network interface is enabled, # and disable it eventually. # # Interface IFACE=wlan0 function disable_pm() { echo "Disabling $IFACE power management." sudo iwconfig $IFACE power off } function get_pm_state() { state=$(iwconfig $IFACE | sed -ne '/Power Management/...
BruXy/time-lapse-utils
check_wlan.sh
Shell
gpl-3.0
577
#!/bin/bash while read repo; do if [ ! -z "${repo}" ] then git clone --mirror $repo echo "Done: $repo" fi done <repo.list
user9209/LinuxScripts
git/backup_your_repos/github/git_clone_mirror.sh
Shell
gpl-3.0
133
#!/usr/bin/env bash #################################################################################### # sabnzbd3.sh # # Copyright (C) 2020-2022 OneCD [one.cd.only@gmail.com] # # so, blame OneCD if it all goes horribly wrong. ;) # # For more info: https://forum.qnap.com/viewtopic.php?f=320&t=132373 ##################...
OneCDOnly/sherpa
QPKGs/SABnzbd/shared/sabnzbd3.sh
Shell
gpl-3.0
32,178
#!/bin/bash ./configure CPPFLAGS=-I${PREFIX}/include LDFLAGS=-L${PREFIX}/lib --prefix=${PREFIX} --with-boost=${PREFIX} make make install cp $SRC_DIR/src/treemix $PREFIX/bin cp $SRC_DIR/src/threepop $PREFIX/bin cp $SRC_DIR/src/fourpop $PREFIX/bin cp $SRC_DIR/src/f4ratio $PREFIX/bin
dereneaton/ipyrad
conda.recipe/treemix/build.sh
Shell
gpl-3.0
287
#!/bin/bash # Simple script to update the website documentation after it has been commited into master. #marco@opengis.ch sept 2012 set -e #paths SCRIPTDIR="$( cd -P "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" INASAFEDIR="$SCRIPTDIR/.." GHPAGESDIR="$SCRIPTDIR/../../inasafe-gh-pages" # move outside of inasafe-dev di...
gvallarelli/inasafe
scripts/update-website.sh
Shell
gpl-3.0
2,377
#!/bin/sh # # utility for gitcheck.sh # # Copyright 2011-2012, Bmath Web Application Platform Project. (http://bmath.jp) # # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation, either version 3 of the...
aotake/peachp1
webapp/tool/gitcheck_func.sh
Shell
gpl-3.0
1,699
#!/bin/bash #PBS -l nodes=1:ppn=28 #PBS -l walltime=72:00:00 #PBS -l mem=120gb #PBS -S /bin/bash #PBS -N echoRD_gentests #PBS -j oe #PBS -o LOG #PBS -n #cd /beegfs/work/ka_oj4748 echo "User:" whoami echo "Job running on node:" uname -a echo "started on " date echo "- - - - - - - - - - -\n" echo "This script shall run...
cojacoo/testcases_echoRD
BinAc_gentesta.sh
Shell
gpl-3.0
1,338
#!/bin/bash -x # Run litmus against xandikos . $(dirname $0)/common.sh TESTS="$1" set -e run_xandikos 5233 --autocreate if which litmus >/dev/null; then LITMUS=litmus else LITMUS="$(dirname $0)/litmus.sh" fi TESTS="$TESTS" $LITMUS http://localhost:5233/ exit 0
jelmer/xandikos
compat/xandikos-litmus.sh
Shell
gpl-3.0
269
#!/bin/bash run_simulation() { #CONFIG, CMB, SEED outname="logs/runexp_hevc_tile_mapping_conf_${1}_cmb${2}_seed${3}.out" nohup python -u RunSim_Exp_HEVCTile_Mapping.py --wl_config=$1 --cmbmppri_type=$2 --forced_seed=$3 &> $outname & } export PYTHONPATH=$PYTHONPATH:/shared/cssamba0/staffstore/hrm506/simpy-3.0.5/ expor...
roshantha9/AbstractManycoreSim
src/shell_scripts/hevc_tilemapping/_runExp_HEVC_TileMapping_multiseed_research0.sh
Shell
gpl-3.0
1,344
#!/bin/bash #-- # Backup mysql database. Run as cron job. Create daily backup. # Run as cron job, e.g. daily every 1/2 hour # # 10 8,9,10,11,12,13,14,15,16,17,18,19,20 * * * /path/to/mysql_backup.sh # # @param backup directory # @global MYSQL_CONN mysql connection string "-h DBHOST -u DBUSER -pDBPASS DBNAME" # shell...
RolandKujundzic/rkscript
src/mysql_backup.sh
Shell
gpl-3.0
1,056
#!/bin/sh # Verify that internal failure in nice gives exact status. # Copyright (C) 2009-2018 Free Software Foundation, Inc. # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation, either version 3 o...
pexip/os-coreutils
tests/misc/nice-fail.sh
Shell
gpl-3.0
1,223
#!/bin/bash # bash x.sh BLASTDB.file 4 9 500000 1000 if [ $# -eq 0 ]; then echo "bash x.sh <BLASTDB> <START> <END> <LENGTH> <CONTIG LENGTH>" exit fi BLASTDB=$1 START=$2 END=$3 LENGTH=$4 CLENGTH=$5 for ((I=START;I<=END;I++)); do J=$((I+1)) # Determine the number of FASTA sequences by the length. NSCAFFOLDS=$(b...
goshng/swu-seq
src/sh/jdpark-spades-repeat.sh
Shell
gpl-3.0
3,821
#!/bin/bash set -e # fail fast source "$(dirname ${0})/config.sh" # a temp directory where training events will be stored event_dir="${model_dir}/events" mkdir -p "${event_dir}" log_file="${model_dir}/log" if [ -e ${log_file} ]; then rm "${log_file}" fi echo echo "step 3.1: Creating alphabet" #echo ${JAVA_HOME...
SimonSuster/semafor
training/3_1_idCreateAlphabet.sh
Shell
gpl-3.0
762
#!/bin/bash # script for installing communtu liveCD build system # (c) 2008-2011 by Allgemeinbildung e.V., Bremen, Germany # This file is part of Communtu. # Communtu is free software: you can redistribute it and/or modify # it under the terms of the GNU Affero Public License as published by # the Free Software Found...
communtu/communtu
script/install-livecd-buildserver.sh
Shell
agpl-3.0
1,500
#|-------------------------------------------------------------------------------------------------| #| ######## ######## ######## ## ## #### ## ## ### ######## ####### ######## | #| ## ## ## ## ### ### ## ### ## ## ## ## ## ## ## ## | #| ## ## ...
KratosTeam/terminator
launch.sh
Shell
agpl-3.0
3,605
#!/bin/bash cd $(dirname $0) rm -rf out mkdir out gzip -d all.json.gz | node trustviz2.js
plumpudding/trustviz-project
convert2.sh
Shell
agpl-3.0
90
#!/usr/bin/env bash # update.sh # Copies the modified files in the friendchat/client directory to # the proper location in Friend build directory structure. if [ -z "$FRIEND" ]; then echo "No path found, make sure to start with updateAll.sh in parent directory" exit 0 fi echo "updating client, path: $FRIEND" ...
FriendSoftwareLabs/friendchat
client/update.sh
Shell
agpl-3.0
1,041
#!/bin/bash set -e set -x if [ $# -ne 2 ] then echo "Wrong number of arguments supplied." echo "Usage: $0 <server_url> <deploy_key>." exit 1 fi server_url=$1 deploy_key=$2 wget $server_url/static/registration.txt -O registration.sh chmod 755 registration.sh # Note: this will export the H...
Antelox/mhn
scripts/deploy_cowrie.sh
Shell
lgpl-2.1
2,184
#!/bin/bash echo "Script to generate the EUDAQ configuration files for long LED runs" echo "usage: source create_from1file.sh" echo " -l(--labviewConffolder) LabviewPCConfigurationFolder" echo " -v(--v0) V0" echo " -n(--nvoltages) NVoltages" echo " -s(--step) dmv_step" echo " -r(--readoutcycles) CYCLES" echo " -...
eudaq/eudaq-configuration
calice_ahcal/conf_longLED_July/longLED_files.sh
Shell
lgpl-3.0
5,440
#!/bin/sh sudo dmesg -c make && sudo make install konoha script/send.k script/device.k || exit 1 sudo rm -f /dev/script sudo mknod /dev/script c `konoha ./script/awk.k` 0 || exit 1 sudo cat /dev/script cd ./debug/ sh ./install.sh
imasahiro/konoha-jit-deprecated
arch/lkm/install.sh
Shell
lgpl-3.0
231
#! /bin/bash if [ "$TRAVIS_SECURE_ENV_VARS" = "true" ]; then mkdir ~/.composer/ echo '{ "config": {"github-oauth":{"github.com": ' > ~/.composer/config.json echo "\"$GH_OAUTH\"" >> ~/.composer/config.json echo '}}}' >> ~/.composer/config.json fi
clearbooks/labs-assembler
authGithub.sh
Shell
lgpl-3.0
247
#!/bin/bash # ----------------------------------------------------------------------------- # usage # ----------------------------------------------------------------------------- _usage_function() { read -r -d '' _usage_string <<EOF Usage: ./bootstrap.sh [-h|--help] ./bootstrap.sh [-n|--name <name>] ...
atweiden/pacfiles
bootstrap.sh
Shell
unlicense
5,806
#! /bin/sh CONF=/home/maposmatic/.ocitysmap.conf INCDIR=${INCDIR:-/vagrant/inc} cat <<EOF > $CONF [datasource] host=localhost user=maposmatic password=secret dbname=gis [paper_sizes] Din A4= 210x297 Din A3= 297x420 Din A2= 420x594 Din A1= 594x841 Din A0= 841x1189 2x A0= 1189x1682 US letter= 216x279 [multipage_paper...
hholzgra/maposmatic-vagrant
inc/ocitysmap-conf.sh
Shell
unlicense
923
#!/bin/sh set -e -x PFKARCH=$( sh ../scripts/architecture ) export PFKARCH if [ ! -d fluxbox ] ; then echo 'no fluxbox dir, skipping fluxbox build' # i'm not going to consider this an error, maybe # i just didn't extract it. exit 0 fi cd fluxbox if [ ! -f 00-PFK-CONFIGURE ] ; then echo 'no fluxb...
flipk/pfkutils
contrib/install-fluxbox.sh
Shell
unlicense
625
#!/bin/bash -e fs=data/mytardis top=/$fs zfs create $fs chown ubuntu:ubuntu $top export OAGR_SECRET_KEY=`uuidgen` export OAGR_DB_PASSWORD=`uuidgen` export OAGR_DOI_URL="https://$HOSTNAME" for template in install.sh settings.py ; do ../../render.py < $template > $top/$template done chmod a+rx $top/install.sh f...
modc08/nectar-shell
sub/mytardis-prep/mytardis-prep.sh
Shell
unlicense
1,003
#!/bin/bash [ -z "${BIOMEDICUS_XMX}" ] && BIOMEDICUS_XMX="2g" export BIOMEDICUS_XMX "$( dirname "${BASH_SOURCE[0]}" )/runClass.sh" org.apache.uima.tools.cpm.CpmFrame
NLPIE/BioMedICUS
biomedicus-distribution/src/main/resources/bin/CPM.sh
Shell
apache-2.0
168
#!/usr/bin/env bash # Copyright 2020 Google LLC # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or a...
GoogleCloudPlatform/anthos-bare-metal-ref-arch
scripts/helpers/set_variables.sh
Shell
apache-2.0
971
#!/bin/bash # Join arguments in a string. But not quite like you'd expect... see next line. printf -v var "'%s', " "$@" # Remove trailing ", " var=${var%??} ./gradlew run -PappArgs="[$var]"
allegro/elasticsearch-reindex-tool
run.sh
Shell
apache-2.0
193
#!/usr/bin/env bash # @Author: Patrick Bos # @Date: 2016-11-16 16:54:41 # @Last Modified by: E. G. Patrick Bos # @Last Modified time: 2017-05-08 10:33:48 # do it a few times and only use the minimum runtime for repeat_nr in {1..5}; do #for timing_flag in 1 2 3 4 5 6 7 9; do #qsub -v "timing_flag=$timing_flag,repe...
roofit-dev/parallel-roofit-scripts
profiling/numIntSet_timing/run_run_unbinned_scaling2_c.sh
Shell
apache-2.0
449